package com.examples;


import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.os.Bundle;
import android.widget.FrameLayout;
import android.widget.ListView;

public class Main extends Activity {
//http://w2davids.wordpress.com/android-listview-with-iconsimages-and-sharks-with-lasers/
	
	private List<Country> countryList= new ArrayList<Country>();
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		// Set the View layer
		setContentView(R.layout.main);
		setTitle("TestIconizedListView");
		FrameLayout lo = (FrameLayout) findViewById(R.id.frameLayout1);
		
		final EinkListView lv = new EinkListView(this);		
		lo.addView(lv);
		
		// Create Parser for raw/countries.xml
		CountryParser countryParser = new CountryParser();
		InputStream inputStream = getResources().openRawResource(
				R.raw.countries);
		
		// Parse the inputstream
		countryParser.parse(inputStream);

		// Get Countries
		List<Country> countryList = countryParser.getList();
		
		
		// Create a customized ArrayAdapter
		CountryArrayAdapter adapter = new CountryArrayAdapter(
				getApplicationContext(), R.layout.country_listitem, countryList);
		
		// Get reference to ListView holder
		//EinkListView lv = (EinkListView) this.findViewById(R.id.countryLV);
		lv.mUpdateMode=3;
		// Set the ListView adapter
		lv.setAdapter(adapter);
	}
}
